<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="#index_a"><span>a</span></a></li>
      <li><a href="#index_b"><span>b</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_d"><span>d</span></a></li>
      <li><a href="#index_e"><span>e</span></a></li>
      <li><a href="#index_f"><span>f</span></a></li>
      <li><a href="#index_i"><span>i</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_m"><span>m</span></a></li>
      <li><a href="#index_n"><span>n</span></a></li>
      <li><a href="#index_o"><span>o</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_r"><span>r</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li class="current"><a href="#index_v"><span>v</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>accMessageSize
: <a class="el" href="structTIGLCommunicationMessageDev.html#ae6b08d70daac37e7268197eedc3c711d">TIGLCommunicationMessageDev</a>
</li>
<li>activeList
: <a class="el" href="classTIGLComputationManager.html#a636f467a499bd29d9151e3dd012c8194">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>activeWithNoMessage
: <a class="el" href="classTIGLApiVertex.html#abf0b30555edcb496a6605e442066eb11">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
</li>
<li>aggregateInfo
: <a class="el" href="classTIGLComputationManager.html#a6a468af9d43aacf4c047b60d59549dfe">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>aggregateInfoPtr
: <a class="el" href="classTIGLApiVertex.html#a59c1819f355b9297fd943e02de1c9d1f">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
</li>
<li>algData
: <a class="el" href="classTIGLContainersComputeEdge.html#a06e66e96122c6ea490d3e1d668ba5e6e">TIGLContainersComputeEdge&lt; idType, dataType, algDataType &gt;</a>
, <a class="el" href="classTIGLContainersVertexBase.html#ac36b610433331bb36b1c05a1fa942418">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>algorithmRunning
: <a class="el" href="classTIGL.html#a64fdb2311577f9179f9180124336e6fd">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>allActive
: <a class="el" href="classTIGLComputationManager.html#a1ea6f01329ffaa968914dbf802febb6e">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_b"></a>- b -</h3><ul>
<li>buf
: <a class="el" href="structTIGLCommunicationMessageDev.html#a0ea7da2bd0e063ebc4572796f3bb7b0d">TIGLCommunicationMessageDev</a>
</li>
</ul>


<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>combiner
: <a class="el" href="classTIGL.html#a5541f512541b62a53b718520ba942625">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLComputationManager.html#a56931bcd432a1b5bfdb51e66c0c5aa86">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>communicationManager
: <a class="el" href="classTIGL.html#a350034bc25d3ef9fc5427c01eb51b280">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>computationManager
: <a class="el" href="classTIGL.html#a38c56842f9838f3c58f7fd15fc6c6bf7">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>content
: <a class="el" href="classTIGLApiMessage.html#ae7f775baa649862450e48448fabf97ae">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a>
</li>
<li>countSS
: <a class="el" href="classTIGL.html#aef38bee1457371fb710a3146bff6fc6f">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLContainersAggregate.html#a5561ee95dd89b5f948275baf2069f383">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_d"></a>- d -</h3><ul>
<li>dataManager
: <a class="el" href="classTIGL.html#a59fcdfd2bacee67418e182f347f898f7">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLComputationManager.html#a9a1d7cc592962f35c0b009f44b52beac">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
, <a class="el" href="classTIGLMutationManager.html#a6ddb2bb4d75734599ef7a39fd0291b8e">TIGLMutationManager&lt; SUBGRAPH_CLASS &gt;</a>
</li>
<li>dataPtr
: <a class="el" href="classTIGLCommunicationManager.html#aad508b38f058c54ba1ac037995be39b3">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>dataTxCount
: <a class="el" href="classTIGLCommunicationManager.html#a906895636bcf6765c145fee98f783a6a">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>devTxMessages
: <a class="el" href="classTIGLCommunicationManager.html#a96784692fde5caddb9e66d0a09e558ce">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>distance
: <a class="el" href="classSSSPInfo.html#ae3fdd56480d5c6fe95984fa25bef2f1f">SSSPInfo</a>
, <a class="el" href="structSSSPNodeSeq.html#aafa47ebec2f000a1a7187feb7dac89a0">SSSPNodeSeq&lt; DIST_TYPE, ID_TYPE &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_e"></a>- e -</h3><ul>
<li>edgeData
: <a class="el" href="classTIGLContainersEdgeW.html#acd4e16aaffa95106f6c26801948b50b9">TIGLContainersEdgeW&lt; idType, dataType &gt;</a>
</li>
<li>evenInSysMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a62f89f570e32c3ae471632171c44dd19">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>evenMessageCount
: <a class="el" href="classTIGLContainersSubgraph.html#ab6f6dcae74a1ea693b72da2b6e33dea4">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>evenTimeMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a2e790b3ee9c89f14a2a583588d26c2cb">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>externalOutMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a77992a2244609d65625766b2a159fe4e">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>externalOutMessagesCount
: <a class="el" href="classTIGLContainersSubgraph.html#acc86e11aabe7fd2bc6a9802c1fdb921e">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_f"></a>- f -</h3><ul>
<li>flagActive
: <a class="el" href="classTIGLApiVertex.html#a7f130ee572059d53540d2fe45012803a">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
</li>
<li>flagDirected
: <a class="el" href="classTIGL.html#abb3c1874d24580f08b4794d7b3e1fd8b">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLContainersSubgraphBase.html#a36346fc960bbe56f1ce1ab9d0f9f9fca">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>id
: <a class="el" href="classTIGLContainersPosInfo.html#a6aa7688f9791cd0049cabb4a583fb081">TIGLContainersPosInfo&lt; ID_TYPE &gt;</a>
, <a class="el" href="classTIGLContainersVertexBase.html#a3f6edf01d8830e0b5b8ad74549eeb085">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>inEdges
: <a class="el" href="classTIGLContainersBiVertexBase.html#a05f5f7777608e6b5c50f3ec7a52157e1">TIGLContainersBiVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>initFlag
: <a class="el" href="classTIGLCommunicationManager.html#af6fa8fbb6818efd2c72360f354fcd8c6">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>inMutationMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a1590a714907035e3bb0ffbeda51aedab">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>isUpdated
: <a class="el" href="classTIGLContainersAggregate.html#a634cea0f993b93549a4c8df631a8996a">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_l"></a>- l -</h3><ul>
<li>localExternalOutMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a46cae8dbbb66601df02e0f2196873ccc">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_m"></a>- m -</h3><ul>
<li>maxActiveAlgData
: <a class="el" href="classTIGLContainersAggregate.html#ada6c83411d9eb54ddcba58b7db52c7ca">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>maxAgg
: <a class="el" href="classTIGLCommunicationAggregateSysMessage.html#a65a7d5f706fdefa91afc25dc58d1af9a">TIGLCommunicationAggregateSysMessage&lt; AlgData &gt;</a>
</li>
<li>maxSS
: <a class="el" href="classTIGLComputationManager.html#a35980108d459ef20496179326a7eeff0">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>messageBody
: <a class="el" href="classTIGLCommunicationSysMessage.html#a4375c638dcde775cd5bc5ab143ecb447">TIGLCommunicationSysMessage</a>
, <a class="el" href="classTIGLMutationMessage.html#a4a8f8c15be0b5ba3e8d697091ed3c584">TIGLMutationMessage</a>
</li>
<li>messageCode
: <a class="el" href="classTIGLCommunicationSysMessage.html#afcd4039732a2d4d5a63d0238a122e674">TIGLCommunicationSysMessage</a>
, <a class="el" href="classTIGLMutationMessage.html#abdba38d3553d9c36b310093f96aaf4b8">TIGLMutationMessage</a>
</li>
<li>minActiveAlgData
: <a class="el" href="classTIGLContainersAggregate.html#adee5333a31d8f0199b059006b0b0a2c3">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>minAgg
: <a class="el" href="classTIGLCommunicationAggregateSysMessage.html#a5a80f65a6621941348f815811f5a735a">TIGLCommunicationAggregateSysMessage&lt; AlgData &gt;</a>
</li>
<li>mutationManager
: <a class="el" href="classTIGL.html#acd9412890896557621ab288764a83f44">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>mutationTxCount
: <a class="el" href="classTIGLCommunicationManager.html#a3793829e7ef861f7b5b17860067ee48b">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_n"></a>- n -</h3><ul>
<li>node
: <a class="el" href="classTIGLContainersEdgeBase.html#a655d339702492c5f16db4c9cbd7bc2f8">TIGLContainersEdgeBase&lt; idType &gt;</a>
</li>
<li>numAllocThreads
: <a class="el" href="classTIGLContainersSubgraph.html#a9bbb4bb9902b794463435729145cf5a1">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>numDevices
: <a class="el" href="classTIGL.html#affa2deafa252a76aabf16e1b52c5992d">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLCommunicationManager.html#a4ae7ac30bbb2d7938b2bed7b4a4f21db">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>numExternalMessages
: <a class="el" href="classTIGLContainersAggregate.html#adbc8349ec3065a2dfccebce5527bec82">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numHaltSysMessages
: <a class="el" href="classTIGLComputationManager.html#a4e749987615a77add6a44801fb35b591">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>numIdleSysMessages
: <a class="el" href="classTIGLComputationManager.html#af1ac42b93564a6a2925bc7229ade4f40">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>numLocalActive
: <a class="el" href="classTIGLComputationManager.html#a3acf15a44b963c38fac7fe053499fd81">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>numLocalActiveNodes
: <a class="el" href="classTIGLContainersAggregate.html#a36c75840693e07da4d59fe8269720fa9">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numLocalVertices
: <a class="el" href="classTIGL.html#aff8f26ab7c900ed74baa523afc72f369">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLContainersAggregate.html#adbea704396b2b82f8f9b260c86206e6e">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numMutationTx
: <a class="el" href="structTIGLCommunicationMessageDev.html#a90a38748ce1f33da1b9cc1b097e8e106">TIGLCommunicationMessageDev</a>
</li>
<li>numSysTx
: <a class="el" href="structTIGLCommunicationMessageDev.html#a02805f910460aa8cb91e81003089b045">TIGLCommunicationMessageDev</a>
</li>
<li>numTotalActiveNodes
: <a class="el" href="classTIGLContainersAggregate.html#a38a14d8e84fbe0103c1c043d4485d958">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numTotalMessages
: <a class="el" href="classTIGLContainersAggregate.html#acc02e42cdc6d4cf91525e563535c6ac2">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numTotalVertices
: <a class="el" href="classTIGL.html#ac7f5c28d16a3566f413010d3e242167e">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>numTx
: <a class="el" href="structTIGLCommunicationMessageDev.html#a3647d597dc8f1678971485b7b8086279">TIGLCommunicationMessageDev</a>
</li>
<li>numVertices
: <a class="el" href="classPageRankVertex.html#a34843c26de6abc929d7583aac0a37512">PageRankVertex&lt; DataType &gt;</a>
, <a class="el" href="classTIGLContainersAggregate.html#a305621751cb671f32cfac297765b50bc">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_o"></a>- o -</h3><ul>
<li>oddInSysMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a7327f746951694590bc27ec581771dfb">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>oddMessageCount
: <a class="el" href="classTIGLContainersSubgraph.html#a44007b73a9f289a166b7e4473057db52">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>oddTimeMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a950896b5e64c04c6ce1a017b5547e7f2">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>otherDevice
: <a class="el" href="classTIGLCommunicationSysMessage.html#aa716afbd62ad897695da8dc0a8944b10">TIGLCommunicationSysMessage</a>
, <a class="el" href="classTIGLMutationMessage.html#a4849bc62b4860dcab8fdddbc076a4241">TIGLMutationMessage</a>
</li>
<li>outEdges
: <a class="el" href="classTIGLContainersVertexBase.html#a8e0e018b11f1fbe310789c332efed1b9">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>outMutationMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a4c207d3ccc3b56aa2222bf792d939014">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>outSysMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a2c08cd85fd08fbe3c06fbab83d78e833">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>outSysMessagesCount
: <a class="el" href="classTIGLContainersSubgraph.html#af9927c5fc0c20fde874287ea90f519e8">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_p"></a>- p -</h3><ul>
<li>parent
: <a class="el" href="classSSSPInfo.html#aa1472cb5d334e6889b81dc43df5f4a4b">SSSPInfo</a>
, <a class="el" href="structSSSPNodeSeq.html#aa567af2093cedee8cbeef7e5460a6c36">SSSPNodeSeq&lt; DIST_TYPE, ID_TYPE &gt;</a>
</li>
<li>pos
: <a class="el" href="classTIGLContainersPosInfo.html#ad4cd7f13b6c52337b28ce7032063d76d">TIGLContainersPosInfo&lt; ID_TYPE &gt;</a>
</li>
<li>posHashSize
: <a class="el" href="classTIGLContainersSubgraphBase.html#a4d2dc5c71e000a5a43abfb541b99ea97">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>posHoles
: <a class="el" href="classTIGLContainersSubgraphBase.html#ad395cc63b17e2c2bed0e47c044d5aeea">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>rank
: <a class="el" href="classTIGL.html#a1928633793d2b130d62b93a6999fb415">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLCommunicationManager.html#a7f26b4bdfbe6ad5b50ecde994314dafc">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>rcvr
: <a class="el" href="classTIGLApiMessage.html#a7968fe46245001626ec18c95b15ff6b6">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a>
</li>
<li>reactivateFlag
: <a class="el" href="classTIGLApiVertex.html#a5f97f5c472444d212bf6ddfd217032e2">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
</li>
<li>rxDevMessageCount
: <a class="el" href="classTIGLCommunicationManager.html#a2409da069a49ea13d88a1c9901b28006">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>sender
: <a class="el" href="classTIGLApiMessage.html#a4424f2bddf5ccd38e2dac18a1f067e2f">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a>
</li>
<li>src
: <a class="el" href="classTIGLContainersEdge2Sided.html#a4cf642224a8c64d8f5bbd518d4e5f5e5">TIGLContainersEdge2Sided&lt; idType &gt;</a>
, <a class="el" href="classTIGLContainersEdgeW2Sided.html#a4fb779683670c3da8fbc1b5c68fca385">TIGLContainersEdgeW2Sided&lt; idType, dataType &gt;</a>
</li>
<li>ssComputationEndFlag
: <a class="el" href="classTIGLCommunicationManager.html#aa8ffcfa91ccbfdfd960bb4d49b0a58d8">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>ssRxActiveFlag
: <a class="el" href="classTIGLCommunicationManager.html#a9b958601eb31e864eadcc7894b1499dd">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>ssTxActiveFlag
: <a class="el" href="classTIGLCommunicationManager.html#aa1078d0a68d9c673ac78b269a05afb5f">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>sumActiveAlgData
: <a class="el" href="classTIGLContainersAggregate.html#a6e2cc4436a685cf860d668266212f42d">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>sumAgg
: <a class="el" href="classTIGLCommunicationAggregateSysMessage.html#ab7c3e287c58153505ec4d6f667d346a4">TIGLCommunicationAggregateSysMessage&lt; AlgData &gt;</a>
</li>
<li>sysTxCount
: <a class="el" href="classTIGLCommunicationManager.html#a75211a6169aaac4eed3d58bf01c82c76">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_t"></a>- t -</h3><ul>
<li>targetRxDevMessageCount
: <a class="el" href="classTIGLCommunicationManager.html#a863e67876467738e18090713f98a43b3">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>timeCountSS
: <a class="el" href="classTIGLCommunicationManager.html#ac7a34f82443f2d7f9d360733e3612e71">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>totalNumVertices
: <a class="el" href="classTIGLCommunicationManager.html#ad4af56522c0cbc793788b38985e086c8">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>txBuffers
: <a class="el" href="classTIGLCommunicationManager.html#ac73c7a6147bb9bf5922d1f19f3ca524e">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>txBusyRequestFlag
: <a class="el" href="classTIGLCommunicationManager.html#a7102a95cb3b26dfb0c3704184183cb6b">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>txIdleTime
: <a class="el" href="classTIGLCommunicationManager.html#a4e09ccded269eb73471b10d609d64c4a">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>txRequests
: <a class="el" href="classTIGLCommunicationManager.html#aa984b9688cd64536c6901729a536b07e">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
</ul>


<h3><a class="anchor" id="index_v"></a>- v -</h3><ul>
<li>vertexData
: <a class="el" href="classTIGLContainersVertexBase.html#a42054ed48c73a733e99f3ef80698e50b">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>vertexList
: <a class="el" href="classTIGLContainersSubgraphBase.html#a56b37400e7d47e6a278084defcd26778">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>vertexPos
: <a class="el" href="classTIGLContainersSubgraphBase.html#a03aff1a6c6f8bac92420673d84542e2a">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:14:00 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
